import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/galaxy-test/rtu/manage/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getTree = () => {
  return request({
    url: '/api/galaxy-test/rtu/manage/tree',
    method: 'get',
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/galaxy-test/rtu/manage/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/galaxy-test/rtu/manage/save',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/galaxy-test/rtu/manage/update',
    method: 'post',
    data: row
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/galaxy-test/rtu/manage/detail',
    method: 'get',
    params: {
      id
    }
  })
}

